<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>

 <plugin>

  <!-- EEF extensions -->
   <extension point="org.eclipse.emf.edit.itemProviderAdapterFactories">
      <factory
            uri="http://assuranceproject/1.0"
            class="org.eclipse.opencert.apm.assurproj.assuranceproject.providers.AssuranceprojectEEFAdapterFactory"
            supportedTypes="org.eclipse.emf.eef.runtime.providers.PropertiesEditingProvider"/>
   </extension>
   <extension
         point="org.eclipse.emf.eef.runtime.PropertiesEditionPartProvider">
      <PropertiesEditionPartProvider
            providerClass="org.eclipse.opencert.apm.assurproj.assuranceproject.providers.AssuranceprojectPropertiesEditionPartProvider">
      </PropertiesEditionPartProvider>
   </extension>

  <!-- Tabbed properties views extension -->
   <extension
         point="org.eclipse.ui.views.properties.tabbed.propertyContributor">
      <propertyContributor
            contributorId="org.eclipse.opencert.apm.assurproj.assuranceproject.properties"
            labelProvider="org.eclipse.emf.eef.runtime.ui.utils.EEFLabelProvider">
         <propertyCategory
               category="default">
         </propertyCategory>
         <propertyCategory
               category="extended">
         </propertyCategory>
         <propertyCategory
               category="advanced">
         </propertyCategory>
      </propertyContributor>
   </extension>
   <extension
         point="org.eclipse.ui.views.properties.tabbed.propertyTabs">
      <propertyTabs
            contributorId="org.eclipse.opencert.apm.assurproj.assuranceproject.properties">
         <propertyTab
               id="Base"
               label="Base"
               category="default">
         </propertyTab>

         <propertyTab
               id="ProjectBaselines"
               label="ProjectBaselines"
               category="extended"
               afterTab="Base">
         </propertyTab>

         <propertyTab
               id="PermissionConfigurations"
               label="PermissionConfigurations"
               category="extended"
               afterTab="ProjectBaselines">
         </propertyTab>

         <propertyTab
               id="AssuranceAssets"
               label="AssuranceAssets"
               category="extended"
               afterTab="PermissionConfigurations">
         </propertyTab>

      </propertyTabs>
   </extension>
   <extension
         point="org.eclipse.ui.views.properties.tabbed.propertySections">
      <propertySections
            contributorId="org.eclipse.opencert.apm.assurproj.assuranceproject.properties">
         <propertySection
               class="org.eclipse.opencert.apm.assurproj.assuranceproject.parts.forms.AssuranceProjectPropertiesEditionPartForm"
               filter="org.eclipse.opencert.apm.assurproj.assuranceproject.providers.AssuranceProjectPropertiesEditionProvider$EditionFilter"
               id="org.eclipse.opencert.apm.assurproj.assuranceproject.section.AssuranceProject"
               tab="Base">
         </propertySection>
         <propertySection
               class="org.eclipse.opencert.apm.assurproj.assuranceproject.parts.forms.ProjectBaselinesPropertiesEditionPartForm"
               filter="org.eclipse.opencert.apm.assurproj.assuranceproject.providers.AssuranceProjectPropertiesEditionProvider$EditionFilter"
               id="org.eclipse.opencert.apm.assurproj.assuranceproject.section.AssuranceProject"
               tab="ProjectBaselines">
         </propertySection>
         <propertySection
               class="org.eclipse.opencert.apm.assurproj.assuranceproject.parts.forms.PermissionConfigurationsPropertiesEditionPartForm"
               filter="org.eclipse.opencert.apm.assurproj.assuranceproject.providers.AssuranceProjectPropertiesEditionProvider$EditionFilter"
               id="org.eclipse.opencert.apm.assurproj.assuranceproject.section.AssuranceProject"
               tab="PermissionConfigurations">
         </propertySection>
         <propertySection
               class="org.eclipse.opencert.apm.assurproj.assuranceproject.parts.forms.AssuranceAssetsPropertiesEditionPartForm"
               filter="org.eclipse.opencert.apm.assurproj.assuranceproject.providers.AssuranceProjectPropertiesEditionProvider$EditionFilter"
               id="org.eclipse.opencert.apm.assurproj.assuranceproject.section.AssuranceProject"
               tab="AssuranceAssets">
         </propertySection>
         <propertySection
               class="org.eclipse.opencert.apm.assurproj.assuranceproject.parts.forms.PermissionConfigPropertiesEditionPartForm"
               filter="org.eclipse.opencert.apm.assurproj.assuranceproject.providers.PermissionConfigPropertiesEditionProvider$EditionFilter"
               id="org.eclipse.opencert.apm.assurproj.assuranceproject.section.PermissionConfig"
               tab="Base">
         </propertySection>
         <propertySection
               class="org.eclipse.opencert.apm.assurproj.assuranceproject.parts.forms.AssetsPackagePropertiesEditionPartForm"
               filter="org.eclipse.opencert.apm.assurproj.assuranceproject.providers.AssetsPackagePropertiesEditionProvider$EditionFilter"
               id="org.eclipse.opencert.apm.assurproj.assuranceproject.section.AssetsPackage"
               tab="Base">
         </propertySection>
         <propertySection
               class="org.eclipse.opencert.apm.assurproj.assuranceproject.parts.forms.BaselineConfigPropertiesEditionPartForm"
               filter="org.eclipse.opencert.apm.assurproj.assuranceproject.providers.BaselineConfigPropertiesEditionProvider$EditionFilter"
               id="org.eclipse.opencert.apm.assurproj.assuranceproject.section.BaselineConfig"
               tab="Base">
         </propertySection>
      </propertySections>
   </extension>
 </plugin>
